| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonUnionMember Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonUnionMember defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonUnionMember ()
| Default constructor.
eProsima_user_DllExport | ~CommonUnionMember ()
| Default destructor.
eProsima_user_DllExport | CommonUnionMember (const CommonUnionMember &x)
| Copy constructor.
eProsima_user_DllExport | CommonUnionMember (CommonUnionMember &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonUnionMember & | operator= (const CommonUnionMember &x)
| Copy assignment.
eProsima_user_DllExport CommonUnionMember & | operator= (CommonUnionMember &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonUnionMember &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonUnionMember &x) const
| Comparison operator.
eProsima_user_DllExport void | member_id (MemberId _member_id)
| This function sets a value in member member_id.
eProsima_user_DllExport MemberId | member_id () const
| This function returns the value of member member_id.
eProsima_user_DllExport MemberId & | member_id ()
| This function returns a reference to member member_id.
eProsima_user_DllExport void | member_flags (const UnionMemberFlag &_member_flags)
| This function copies the value in member member_flags.
eProsima_user_DllExport void | member_flags (UnionMemberFlag &&_member_flags)
| This function moves the value in member member_flags.
eProsima_user_DllExport const UnionMemberFlag & | member_flags () const
| This function returns a constant reference to member member_flags.
eProsima_user_DllExport UnionMemberFlag & | member_flags ()
| This function returns a reference to member member_flags.
eProsima_user_DllExport void | type_id (const TypeIdentifier &_type_id)
| This function copies the value in member type_id.
eProsima_user_DllExport void | type_id (TypeIdentifier &&_type_id)
| This function moves the value in member type_id.
eProsima_user_DllExport const TypeIdentifier & | type_id () const
| This function returns a constant reference to member type_id.
eProsima_user_DllExport TypeIdentifier & | type_id ()
| This function returns a reference to member type_id.
eProsima_user_DllExport void | label_seq (const UnionCaseLabelSeq &_label_seq)
| This function copies the value in member label_seq.
eProsima_user_DllExport void | label_seq (UnionCaseLabelSeq &&_label_seq)
| This function moves the value in member label_seq.
eProsima_user_DllExport const UnionCaseLabelSeq & | label_seq () const
| This function returns a constant reference to member label_seq.
eProsima_user_DllExport UnionCaseLabelSeq & | label_seq ()
| This function returns a reference to member label_seq.

## Detailed Description

This class represents the structure CommonUnionMember defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonUnionMember() [1/3]

eProsima_user_DllExport CommonUnionMember | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonUnionMember()

eProsima_user_DllExport ~CommonUnionMember | ( |  | ) |

inline

Default destructor.

## ◆ CommonUnionMember() [2/3]

eProsima_user_DllExport CommonUnionMember | ( | const CommonUnionMember & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonUnionMember that will be copied.

## ◆ CommonUnionMember() [3/3]

eProsima_user_DllExport CommonUnionMember | ( | CommonUnionMember && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonUnionMember that will be copied.

## Member Function Documentation

## ◆ label_seq() [1/4]

eProsima_user_DllExport UnionCaseLabelSeq & label_seq | ( |  | ) |

inline

This function returns a reference to member label_seq.

Returns
  Reference to member label_seq

## ◆ label_seq() [2/4]

eProsima_user_DllExport const UnionCaseLabelSeq & label_seq | ( |  | ) | const

inline

This function returns a constant reference to member label_seq.

Returns
  Constant reference to member label_seq

## ◆ label_seq() [3/4]

eProsima_user_DllExport void label_seq | ( | const UnionCaseLabelSeq & | _label_seq | ) |

inline

This function copies the value in member label_seq.

Parameters

  _label_seq | New value to be copied in member label_seq

## ◆ label_seq() [4/4]

eProsima_user_DllExport void label_seq | ( | UnionCaseLabelSeq && | _label_seq | ) |

inline

This function moves the value in member label_seq.

Parameters

  _label_seq | New value to be moved in member label_seq

## ◆ member_flags() [1/4]

eProsima_user_DllExport UnionMemberFlag & member_flags | ( |  | ) |

inline

This function returns a reference to member member_flags.

Returns
  Reference to member member_flags

## ◆ member_flags() [2/4]

eProsima_user_DllExport const UnionMemberFlag & member_flags | ( |  | ) | const

inline

This function returns a constant reference to member member_flags.

Returns
  Constant reference to member member_flags

## ◆ member_flags() [3/4]

eProsima_user_DllExport void member_flags | ( | const UnionMemberFlag & | _member_flags | ) |

inline

This function copies the value in member member_flags.

Parameters

  _member_flags | New value to be copied in member member_flags

## ◆ member_flags() [4/4]

eProsima_user_DllExport void member_flags | ( | UnionMemberFlag && | _member_flags | ) |

inline

This function moves the value in member member_flags.

Parameters

  _member_flags | New value to be moved in member member_flags

## ◆ member_id() [1/3]

eProsima_user_DllExport MemberId & member_id | ( |  | ) |

inline

This function returns a reference to member member_id.

Returns
  Reference to member member_id

## ◆ member_id() [2/3]

eProsima_user_DllExport MemberId member_id | ( |  | ) | const

inline

This function returns the value of member member_id.

Returns
  Value of member member_id

## ◆ member_id() [3/3]

eProsima_user_DllExport void member_id | ( | MemberId | _member_id | ) |

inline

This function sets a value in member member_id.

Parameters

  _member_id | New value for member member_id

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonUnionMember & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonUnionMember object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonUnionMember & operator= | ( | CommonUnionMember && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonUnionMember that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonUnionMember & operator= | ( | const CommonUnionMember & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonUnionMember that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonUnionMember & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonUnionMember object to compare.

## ◆ type_id() [1/4]

eProsima_user_DllExport TypeIdentifier & type_id | ( |  | ) |

inline

This function returns a reference to member type_id.

Returns
  Reference to member type_id

## ◆ type_id() [2/4]

eProsima_user_DllExport const TypeIdentifier & type_id | ( |  | ) | const

inline

This function returns a constant reference to member type_id.

Returns
  Constant reference to member type_id

## ◆ type_id() [3/4]

eProsima_user_DllExport void type_id | ( | const TypeIdentifier & | _type_id | ) |

inline

This function copies the value in member type_id.

Parameters

  _type_id | New value to be copied in member type_id

## ◆ type_id() [4/4]

eProsima_user_DllExport void type_id | ( | TypeIdentifier && | _type_id | ) |

inline

This function moves the value in member type_id.

Parameters

  _type_id | New value to be moved in member type_id

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp